// QuadSolve.h: interface for the CQuadSolve class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_QUADSOLVE_H__7CF675A6_3ED2_11D7_800D_00008651FCB4__INCLUDED_)
#define AFX_QUADSOLVE_H__7CF675A6_3ED2_11D7_800D_00008651FCB4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CQuadSolve  
{
public:
	bool getRoots(double&, double&);
	bool outputAnswer();

  CQuadSolve(double, double, double);
	virtual ~CQuadSolve();

private:
  bool bRootsImaginary;

	double calcTerm(double, double, double);
	double root2;
	double root1;
};

#endif // !defined(AFX_QUADSOLVE_H__7CF675A6_3ED2_11D7_800D_00008651FCB4__INCLUDED_)
